# Thesis
[![](https://img.shields.io/badge/build-pdf-green.svg)](https://gitea.tforgione.fr/tforgione-phd/phd-release/raw/branch/master/main.pdf)

This repository holds the code for the phd thesis.

# Ideas of plan

## Prototype

The prototype of plan is written in the `src/plan.tex` file.

## Chronological plan

The idea of this plan would be to have a chapter for each chronological step
that we had during the phd.

Use MMSys as an introduction for the context and the things that we try to do.
Start with explaining the MMsys proof of concept, and then explain the steps
that takes the proof of concept to a real thing.

  - [x] Lessons learned from MMsys
    - [x] Performing view dependant streaming is important
    - [x] Enhancing 3D navigation is important because keyboard controls are tough
    - [x] Enhancing 3D navigation has negative impact on streaming
    - [x] There are ways to limit this impact
  - [x] Real streaming with DASH
    - [x] Content preparation
    - [x] Loading policy
  - [ ] Integrating interaction back
    - [ ] Hierarchical bookmarks
    - [ ] Improving streaming
    - [ ] Mobile interaction

## Thematic plan

The idea of this plan would be to mingle MMSys with the rest and divide the
work in some parts, each of which may contain a subpart about MMSys and another
subpart about DASH.

  - [x] Streaming
    - [x] Naive implementation, server side intelligence (MMSys)
    - [x] DASH
  - [ ] Interaction
    - [x] Bookmarks and impact on streaming
    - [x] Tweaking the streaming for better QoS (in MMSys)
    - [ ] Tweaking the streaming for better QoS (in DASH)
    - [ ] Mobile

Another version of this plan could be the following:

  - [x] Streaming
    - [x] Naive implementation, server side intelligence (MMSys)
    - [x] DASH
  - [ ] Interaction
    - [ ] Mobile
    - [x] Bookmarks
    - [x] Impact of bookmarks on streaming
  - [ ] Back to the streaming
    - [x] Improving streaming with bookmarks in MMSys
    - [ ] Improving streaming with bookmarks in DASH

# List of some of the unused things that I've done

## About MMSys

  - Shit
    - Elimintation of hidden parts via HPR
      https://gitea.tforgione.fr/tforgione-phd/notes/raw/branch/master/HPR/latex/build/hpr.pdf
  - Real things
    - Bookmarks
      - Viewports
      - Arrows
    - Impact of bookmarks on streaming
    - Attempts to limit the drawback
      - Learning bookmark patterns and prefetching data
      - Download on click

## Before DASH-3D

  - Model editor for exporting regions : https://storage.tforgione.fr/roi/editor/

## DASH-3D

  - Computation of the projected area of a bounding box on a camera screen : https://storage.tforgione.fr/clipping/
